Subject: Re: bug#7469: 24.0.50; report-emacs-bug is broken again (on Windows)

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Nov 2010 21:33:30 -0500

> But actually sending the message is a different matter.
> `mailclient-send-it' just calls `browse-url' with a mailto: URL with all
> the buffer contents and everything to actually send the message.  So
> there seems to be two distinct usages for mailto: wrt browse-url: For
> composing, and for sending.

> Perhaps the right fix here is to alter `mailclient-send-it' to filter
> out any mailto: settings in `browse-url-browser-function' before calling
> `browse-url'.  I can do that, if that sounds like the right solution.

Yes, this sounds like a good change, since it will make
mailclient-send-it more robust.

But maybe we should also change browse-url so it doesn't use Emacs for
"mailto:" if send-mail-function is set to mailclient-send-it.

        Stefan